<?php
/* Busqueda de registros de la tabla STE_ServicioTecnico redefinidos por el usuario. */
class STE_ServicioTecnicoFN extends BaseSTE_ServicioTecnicoFN
{
    
    public static function buscarDetallesPorSerie( $Serie )
    {
        $Where = "'" . $Serie . "'";
        $IdCompania = myUser::getUser()->getIdCompania();
        
        //pr($Where);

        $s_Sql = "
        SELECT A.SerieId, A.MovimientoId, A.ProductoId, A.SerieNumero, A.UltimaOperacion, C.DescripcionCompleta, B.ReferenciaNumero, D.OrdenFecha, E.TipoGarantiaId, F.Nombre, F.NumeroDias
        	FROM SR_Serie A 
        		LEFT JOIN SR_SerieEscaneo B ON B.SerieId = A.SerieId
        		LEFT JOIN ALM_ItemMast C ON C.IdItem = A.ProductoId
        		LEFT JOIN VTA_Orden D ON D.OrdenNum = B.ReferenciaNumero
        		LEFT JOIN ALM_ItemMast E ON E.IdItem = B.ProductoId
        		LEFT JOIN MST_TipoGarantia F ON E.TipoGarantiaId = F.TipoGarantiaId
			WHERE B.Operacion = 'E' AND A.SerieNumero = $Where
        ";
        //pr( $s_Sql );
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $a_row = $o_ResultSet->getRow();
        if( !$a_row )
        {
            $a_row = array( "SerieId" => "",  "MovimientoId" => "", "ProductoId" => "", "SerieNumero" => "", "UltimaOperacion" => "", "DescripcionCompleta" => "", "ReferenciaNumero" => "", "OrdenFecha" => "", "NumeroDias" => "" );
        }
        
        return $a_row;
    }  
    
    
    
    
}


?>



